import{s as ne,n as ae,o as se}from"../chunks/scheduler.b108d059.js";import{S as pe,i as me,g as s,s as n,r as w,A as oe,h as p,f as l,c as a,j as le,u as y,x as C,k as ie,y as re,a as i,v as L,d as P,t as b,w as M}from"../chunks/index.008de539.js";import{C as ue}from"../chunks/CodeBlock.3968c746.js";import{H as S}from"../chunks/Heading.88bfeb84.js";function fe(X){let m,B,U,H,o,E,r,D="Welcome to the 🤗 Optimum-TPU training guide! This section covers how to fine-tune models using Google Cloud TPUs.",A,u,J,f,Q="The following models have been tested and validated for fine-tuning on TPU v5e:",Z,g,Y="<li>🦙 LLaMA Family<ul><li>LLaMA-2 7B</li> <li>LLaMA-3 8B</li></ul></li> <li>💎 Gemma Family<ul><li>Gemma 2B</li> <li>Gemma 7B</li></ul></li>",k,d,F,$,R,c,N="Before starting the training process, ensure you have:",j,h,K='<li>A configured Google Cloud TPU instance (see <a href="./deploy">Deployment Guide</a>)</li> <li>Optimum-TPU installed with PyTorch/XLA support:</li>',W,T,q,x,z,v,ee="We provide several example scripts to help you get started:",I,_,te='<li><p>Gemma Fine-tuning:</p> <ul><li>See our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/gemma_tuning.ipynb" rel="nofollow">Gemma fine-tuning notebook</a> for a step-by-step guide</li></ul></li> <li><p>LLaMA Fine-tuning:</p> <ul><li>Check our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/llama_tuning.md" rel="nofollow">LLaMA fine-tuning script</a> for detailed instructions</li></ul></li>',O,G,V;return o=new S({props:{title:"Training on TPU",local:"training-on-tpu",headingTag:"h1"}}),u=new S({props:{title:"Currently Supported Models",local:"currently-supported-models",headingTag:"h2"}}),d=new S({props:{title:"Getting Started",local:"getting-started",headingTag:"h2"}}),$=new S({props:{title:"Prerequisites",local:"prerequisites",headingTag:"h3"}}),T=new ue({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wdGltdW0tdHB1JTIwLWYlMjBodHRwcyUzQSUyRiUyRnN0b3JhZ2UuZ29vZ2xlYXBpcy5jb20lMkZsaWJ0cHUtcmVsZWFzZXMlMkZpbmRleC5odG1sJTBBZXhwb3J0JTIwUEpSVF9ERVZJQ0UlM0RUUFU=",highlighted:`pip install optimum-tpu -f https://storage.googleapis.com/libtpu-releases/index.html
<span class="hljs-built_in">export</span> PJRT_DEVICE=TPU`,wrap:!1}}),x=new S({props:{title:"Example Training Scripts",local:"example-training-scripts",headingTag:"h3"}}),{c(){m=s("meta"),B=n(),U=s("p"),H=n(),w(o.$$.fragment),E=n(),r=s("p"),r.textContent=D,A=n(),w(u.$$.fragment),J=n(),f=s("p"),f.textContent=Q,Z=n(),g=s("ul"),g.innerHTML=Y,k=n(),w(d.$$.fragment),F=n(),w($.$$.fragment),R=n(),c=s("p"),c.textContent=N,j=n(),h=s("ol"),h.innerHTML=K,W=n(),w(T.$$.fragment),q=n(),w(x.$$.fragment),z=n(),v=s("p"),v.textContent=ee,I=n(),_=s("ol"),_.innerHTML=te,O=n(),G=s("p"),this.h()},l(e){const t=oe("svelte-u9bgzb",document.head);m=p(t,"META",{name:!0,content:!0}),t.forEach(l),B=a(e),U=p(e,"P",{}),le(U).forEach(l),H=a(e),y(o.$$.fragment,e),E=a(e),r=p(e,"P",{"data-svelte-h":!0}),C(r)!=="svelte-zgzj4i"&&(r.textContent=D),A=a(e),y(u.$$.fragment,e),J=a(e),f=p(e,"P",{"data-svelte-h":!0}),C(f)!=="svelte-1qhtoc9"&&(f.textContent=Q),Z=a(e),g=p(e,"UL",{"data-svelte-h":!0}),C(g)!=="svelte-hd6g6t"&&(g.innerHTML=Y),k=a(e),y(d.$$.fragment,e),F=a(e),y($.$$.fragment,e),R=a(e),c=p(e,"P",{"data-svelte-h":!0}),C(c)!=="svelte-jesrlw"&&(c.textContent=N),j=a(e),h=p(e,"OL",{"data-svelte-h":!0}),C(h)!=="svelte-10vix3u"&&(h.innerHTML=K),W=a(e),y(T.$$.fragment,e),q=a(e),y(x.$$.fragment,e),z=a(e),v=p(e,"P",{"data-svelte-h":!0}),C(v)!=="svelte-1oeyxj5"&&(v.textContent=ee),I=a(e),_=p(e,"OL",{"data-svelte-h":!0}),C(_)!=="svelte-dc2k7b"&&(_.innerHTML=te),O=a(e),G=p(e,"P",{}),le(G).forEach(l),this.h()},h(){ie(m,"name","hf:doc:metadata"),ie(m,"content",ge)},m(e,t){re(document.head,m),i(e,B,t),i(e,U,t),i(e,H,t),L(o,e,t),i(e,E,t),i(e,r,t),i(e,A,t),L(u,e,t),i(e,J,t),i(e,f,t),i(e,Z,t),i(e,g,t),i(e,k,t),L(d,e,t),i(e,F,t),L($,e,t),i(e,R,t),i(e,c,t),i(e,j,t),i(e,h,t),i(e,W,t),L(T,e,t),i(e,q,t),L(x,e,t),i(e,z,t),i(e,v,t),i(e,I,t),i(e,_,t),i(e,O,t),i(e,G,t),V=!0},p:ae,i(e){V||(P(o.$$.fragment,e),P(u.$$.fragment,e),P(d.$$.fragment,e),P($.$$.fragment,e),P(T.$$.fragment,e),P(x.$$.fragment,e),V=!0)},o(e){b(o.$$.fragment,e),b(u.$$.fragment,e),b(d.$$.fragment,e),b($.$$.fragment,e),b(T.$$.fragment,e),b(x.$$.fragment,e),V=!1},d(e){e&&(l(B),l(U),l(H),l(E),l(r),l(A),l(J),l(f),l(Z),l(g),l(k),l(F),l(R),l(c),l(j),l(h),l(W),l(q),l(z),l(v),l(I),l(_),l(O),l(G)),l(m),M(o,e),M(u,e),M(d,e),M($,e),M(T,e),M(x,e)}}}const ge='{"title":"Training on TPU","local":"training-on-tpu","sections":[{"title":"Currently Supported Models","local":"currently-supported-models","sections":[],"depth":2},{"title":"Getting Started","local":"getting-started","sections":[{"title":"Prerequisites","local":"prerequisites","sections":[],"depth":3},{"title":"Example Training Scripts","local":"example-training-scripts","sections":[],"depth":3}],"depth":2}],"depth":1}';function de(X){return se(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xe extends pe{constructor(m){super(),me(this,m,de,fe,ne,{})}}export{xe as component};
